package com.yeejoin.amos.patrol.business.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("任务详情信息")
public class TaskDetailParam {
	private int id;
	@ApiModelProperty("检查记录id")
	private int checkId;
	@ApiModelProperty("不合格检查项id")
	private int itemId; // 检查项ID
	@ApiModelProperty("巡检点id")
	private int pointId;
	@ApiModelProperty("巡检路线id")
	private int routeId;
	@ApiModelProperty("说明")
	private String remark; // 说明
	@ApiModelProperty("状态")
	private int status = -1;
	public int getCheckId() {
		return checkId;
	}
	public void setCheckId(int checkId) {
		this.checkId = checkId;
	}
	public int getItemId() {
		return itemId;
	}
	public void setItemId(int itemId) {
		this.itemId = itemId;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getPointId() {
		return pointId;
	}
	public void setPointId(int pointId) {
		this.pointId = pointId;
	}
	public int getRouteId() {
		return routeId;
	}
	public void setRouteId(int routeId) {
		this.routeId = routeId;
	}
	
	
}
